#############################################################################
# Makefile for building: ../bin/synoptux
# Generated by qmake (2.01a) (Qt 4.6.3) on: mar. sept. 6 17:23:19 2011
# Project:  synoptux.pro
# Template: app
# Command: /opt/qtsdk-2010.04/qt/bin/qmake -unix -o Makefile synoptux.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DNUM_VERSION="\"2.14.000\"" -DNAME_APPLI="\"synoptux\"" -DNAME_ORGANISATION="\"Data Medical Design\"" -DNAME_DOMAINE="\"MedinTux\"" -DQT_NO_DEBUG -DQT_SQL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -m64 -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -m64 -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/opt/qtsdk-2010.04/qt/mkspecs/linux-g++-64 -I. -I/opt/qtsdk-2010.04/qt/include/QtCore -I/opt/qtsdk-2010.04/qt/include/QtGui -I/opt/qtsdk-2010.04/qt/include/QtSql -I/opt/qtsdk-2010.04/qt/include -Imoc -Iui
LINK          = g++
LFLAGS        = -m64 -Wl,-O1 -Wl,-rpath,/opt/qtsdk-2010.04/qt/lib
LIBS          = $(SUBLIBS)  -L/opt/qtsdk-2010.04/qt/lib -lQtSql -L/opt/qtsdk-2010.04/qt/lib -lQtGui -L/usr/X11R6/lib64 -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qtsdk-2010.04/qt/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = obj/unix/

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp \
		C_Wdg_Box.cpp \
		dlgbox.cpp \
		dlgetat.cpp \
		dlgresp.cpp \
		dlgtache.cpp \
		dlgparam.cpp \
		dlgdesti.cpp \
		CApp.cpp \
		C_BaseSynoptux.cpp \
		C_DBVar.cpp \
		../../MedinTuxTools-QT4/CGestIni.cpp \
		../../MedinTuxTools-QT4/C_AppCore.cpp \
		../../MedinTuxTools-QT4/C_BaseCommon.cpp \
		../../MedinTuxTools-QT4/Theme/Theme.cpp \
		../../MedinTuxTools-QT4/C_Utils_Log.cpp \
		C_Dlg_Changements.cpp \
		C_ClickableLed.cpp moc/moc_mainwindow.cpp \
		moc/moc_C_Wdg_Box.cpp \
		moc/moc_dlgbox.cpp \
		moc/moc_dlgetat.cpp \
		moc/moc_dlgresp.cpp \
		moc/moc_dlgtache.cpp \
		moc/moc_dlgparam.cpp \
		moc/moc_dlgdesti.cpp \
		moc/moc_CApp.cpp \
		moc/moc_C_BaseSynoptux.cpp \
		moc/moc_C_AppCore.cpp \
		moc/moc_C_BaseCommon.cpp \
		moc/moc_C_Dlg_Changements.cpp \
		moc/moc_C_ClickableLed.cpp \
		rcc/qrc_synoptux.cpp
OBJECTS       = obj/unix/main.o \
		obj/unix/mainwindow.o \
		obj/unix/C_Wdg_Box.o \
		obj/unix/dlgbox.o \
		obj/unix/dlgetat.o \
		obj/unix/dlgresp.o \
		obj/unix/dlgtache.o \
		obj/unix/dlgparam.o \
		obj/unix/dlgdesti.o \
		obj/unix/CApp.o \
		obj/unix/C_BaseSynoptux.o \
		obj/unix/C_DBVar.o \
		obj/unix/CGestIni.o \
		obj/unix/C_AppCore.o \
		obj/unix/C_BaseCommon.o \
		obj/unix/Theme.o \
		obj/unix/C_Utils_Log.o \
		obj/unix/C_Dlg_Changements.o \
		obj/unix/C_ClickableLed.o \
		obj/unix/moc_mainwindow.o \
		obj/unix/moc_C_Wdg_Box.o \
		obj/unix/moc_dlgbox.o \
		obj/unix/moc_dlgetat.o \
		obj/unix/moc_dlgresp.o \
		obj/unix/moc_dlgtache.o \
		obj/unix/moc_dlgparam.o \
		obj/unix/moc_dlgdesti.o \
		obj/unix/moc_CApp.o \
		obj/unix/moc_C_BaseSynoptux.o \
		obj/unix/moc_C_AppCore.o \
		obj/unix/moc_C_BaseCommon.o \
		obj/unix/moc_C_Dlg_Changements.o \
		obj/unix/moc_C_ClickableLed.o \
		obj/unix/qrc_synoptux.o
DIST          = /opt/qtsdk-2010.04/qt/mkspecs/common/g++.conf \
		/opt/qtsdk-2010.04/qt/mkspecs/common/unix.conf \
		/opt/qtsdk-2010.04/qt/mkspecs/common/linux.conf \
		/opt/qtsdk-2010.04/qt/mkspecs/qconfig.pri \
		/opt/qtsdk-2010.04/qt/mkspecs/features/qt_functions.prf \
		/opt/qtsdk-2010.04/qt/mkspecs/features/qt_config.prf \
		/opt/qtsdk-2010.04/qt/mkspecs/features/exclusive_builds.prf \
		/opt/qtsdk-2010.04/qt/mkspecs/features/default_pre.prf \
		/opt/qtsdk-2010.04/qt/mkspecs/features/release.prf \
		/opt/qtsdk-2010.04/qt/mkspecs/features/default_post.prf \
		/opt/qtsdk-2010.04/qt/mkspecs/features/warn_on.prf \
		/opt/qtsdk-2010.04/qt/mkspecs/features/qt.prf \
		/opt/qtsdk-2010.04/qt/mkspecs/features/unix/thread.prf \
		/opt/qtsdk-2010.04/qt/mkspecs/features/moc.prf \
		/opt/qtsdk-2010.04/qt/mkspecs/features/resources.prf \
		/opt/qtsdk-2010.04/qt/mkspecs/features/uic.prf \
		/opt/qtsdk-2010.04/qt/mkspecs/features/yacc.prf \
		/opt/qtsdk-2010.04/qt/mkspecs/features/lex.prf \
		synoptux.pro
QMAKE_TARGET  = synoptux
DESTDIR       = ../bin/
TARGET        = ../bin/synoptux

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui/ui_box.h ui/ui_dlgbox.h ui/ui_dlgetat.h ui/ui_dlgresp.h ui/ui_dlgtache.h ui/ui_dlgparam.h ui/ui_dlgdesti.h ui/ui_C_Dlg_Changements.h $(OBJECTS)  
	@$(CHK_DIR_EXISTS) ../bin/ || $(MKDIR) ../bin/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: synoptux.pro  /opt/qtsdk-2010.04/qt/mkspecs/linux-g++-64/qmake.conf /opt/qtsdk-2010.04/qt/mkspecs/common/g++.conf \
		/opt/qtsdk-2010.04/qt/mkspecs/common/unix.conf \
		/opt/qtsdk-2010.04/qt/mkspecs/common/linux.conf \
		/opt/qtsdk-2010.04/qt/mkspecs/qconfig.pri \
		/opt/qtsdk-2010.04/qt/mkspecs/features/qt_functions.prf \
		/opt/qtsdk-2010.04/qt/mkspecs/features/qt_config.prf \
		/opt/qtsdk-2010.04/qt/mkspecs/features/exclusive_builds.prf \
		/opt/qtsdk-2010.04/qt/mkspecs/features/default_pre.prf \
		/opt/qtsdk-2010.04/qt/mkspecs/features/release.prf \
		/opt/qtsdk-2010.04/qt/mkspecs/features/default_post.prf \
		/opt/qtsdk-2010.04/qt/mkspecs/features/warn_on.prf \
		/opt/qtsdk-2010.04/qt/mkspecs/features/qt.prf \
		/opt/qtsdk-2010.04/qt/mkspecs/features/unix/thread.prf \
		/opt/qtsdk-2010.04/qt/mkspecs/features/moc.prf \
		/opt/qtsdk-2010.04/qt/mkspecs/features/resources.prf \
		/opt/qtsdk-2010.04/qt/mkspecs/features/uic.prf \
		/opt/qtsdk-2010.04/qt/mkspecs/features/yacc.prf \
		/opt/qtsdk-2010.04/qt/mkspecs/features/lex.prf \
		/opt/qtsdk-2010.04/qt/lib/libQtSql.prl \
		/opt/qtsdk-2010.04/qt/lib/libQtCore.prl \
		/opt/qtsdk-2010.04/qt/lib/libQtGui.prl
	$(QMAKE) -unix -o Makefile synoptux.pro
/opt/qtsdk-2010.04/qt/mkspecs/common/g++.conf:
/opt/qtsdk-2010.04/qt/mkspecs/common/unix.conf:
/opt/qtsdk-2010.04/qt/mkspecs/common/linux.conf:
/opt/qtsdk-2010.04/qt/mkspecs/qconfig.pri:
/opt/qtsdk-2010.04/qt/mkspecs/features/qt_functions.prf:
/opt/qtsdk-2010.04/qt/mkspecs/features/qt_config.prf:
/opt/qtsdk-2010.04/qt/mkspecs/features/exclusive_builds.prf:
/opt/qtsdk-2010.04/qt/mkspecs/features/default_pre.prf:
/opt/qtsdk-2010.04/qt/mkspecs/features/release.prf:
/opt/qtsdk-2010.04/qt/mkspecs/features/default_post.prf:
/opt/qtsdk-2010.04/qt/mkspecs/features/warn_on.prf:
/opt/qtsdk-2010.04/qt/mkspecs/features/qt.prf:
/opt/qtsdk-2010.04/qt/mkspecs/features/unix/thread.prf:
/opt/qtsdk-2010.04/qt/mkspecs/features/moc.prf:
/opt/qtsdk-2010.04/qt/mkspecs/features/resources.prf:
/opt/qtsdk-2010.04/qt/mkspecs/features/uic.prf:
/opt/qtsdk-2010.04/qt/mkspecs/features/yacc.prf:
/opt/qtsdk-2010.04/qt/mkspecs/features/lex.prf:
/opt/qtsdk-2010.04/qt/lib/libQtSql.prl:
/opt/qtsdk-2010.04/qt/lib/libQtCore.prl:
/opt/qtsdk-2010.04/qt/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile synoptux.pro

dist: 
	@$(CHK_DIR_EXISTS) obj/unix/synoptux1.0.0 || $(MKDIR) obj/unix/synoptux1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) obj/unix/synoptux1.0.0/ && $(COPY_FILE) --parents mainwindow.h C_Wdg_Box.h dlgbox.h dlgetat.h dlgresp.h dlgtache.h dlgparam.h dlgdesti.h CApp.h C_BaseSynoptux.h C_DBVar.h ../../MedinTuxTools-QT4/CGestIni.h ../../MedinTuxTools-QT4/C_AppCore.h ../../MedinTuxTools-QT4/C_BaseCommon.h ../../MedinTuxTools-QT4/Theme/Theme.h ../../MedinTuxTools-QT4/C_Utils_Log.h C_Dlg_Changements.h C_ClickableLed.h obj/unix/synoptux1.0.0/ && $(COPY_FILE) --parents synoptux.qrc obj/unix/synoptux1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp C_Wdg_Box.cpp dlgbox.cpp dlgetat.cpp dlgresp.cpp dlgtache.cpp dlgparam.cpp dlgdesti.cpp CApp.cpp C_BaseSynoptux.cpp C_DBVar.cpp ../../MedinTuxTools-QT4/CGestIni.cpp ../../MedinTuxTools-QT4/C_AppCore.cpp ../../MedinTuxTools-QT4/C_BaseCommon.cpp ../../MedinTuxTools-QT4/Theme/Theme.cpp ../../MedinTuxTools-QT4/C_Utils_Log.cpp C_Dlg_Changements.cpp C_ClickableLed.cpp obj/unix/synoptux1.0.0/ && $(COPY_FILE) --parents box.ui dlgbox.ui dlgetat.ui dlgresp.ui dlgtache.ui dlgparam.ui dlgdesti.ui C_Dlg_Changements.ui obj/unix/synoptux1.0.0/ && $(COPY_FILE) --parents synoptux_fr.ts obj/unix/synoptux1.0.0/ && (cd `dirname obj/unix/synoptux1.0.0` && $(TAR) synoptux1.0.0.tar synoptux1.0.0 && $(COMPRESS) synoptux1.0.0.tar) && $(MOVE) `dirname obj/unix/synoptux1.0.0`/synoptux1.0.0.tar.gz . && $(DEL_FILE) -r obj/unix/synoptux1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc/moc_mainwindow.cpp moc/moc_C_Wdg_Box.cpp moc/moc_dlgbox.cpp moc/moc_dlgetat.cpp moc/moc_dlgresp.cpp moc/moc_dlgtache.cpp moc/moc_dlgparam.cpp moc/moc_dlgdesti.cpp moc/moc_CApp.cpp moc/moc_C_BaseSynoptux.cpp moc/moc_C_AppCore.cpp moc/moc_C_BaseCommon.cpp moc/moc_C_Dlg_Changements.cpp moc/moc_C_ClickableLed.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc/moc_mainwindow.cpp moc/moc_C_Wdg_Box.cpp moc/moc_dlgbox.cpp moc/moc_dlgetat.cpp moc/moc_dlgresp.cpp moc/moc_dlgtache.cpp moc/moc_dlgparam.cpp moc/moc_dlgdesti.cpp moc/moc_CApp.cpp moc/moc_C_BaseSynoptux.cpp moc/moc_C_AppCore.cpp moc/moc_C_BaseCommon.cpp moc/moc_C_Dlg_Changements.cpp moc/moc_C_ClickableLed.cpp
moc/moc_mainwindow.cpp: C_Wdg_Box.h \
		ui/ui_box.h \
		dlgbox.h \
		ui/ui_dlgbox.h \
		dlgetat.h \
		ui/ui_dlgetat.h \
		dlgresp.h \
		ui/ui_dlgresp.h \
		dlgtache.h \
		ui/ui_dlgtache.h \
		dlgparam.h \
		dlgdesti.h \
		ui/ui_dlgdesti.h \
		mainwindow.h
	/opt/qtsdk-2010.04/qt/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc/moc_mainwindow.cpp

moc/moc_C_Wdg_Box.cpp: ui/ui_box.h \
		C_Wdg_Box.h
	/opt/qtsdk-2010.04/qt/bin/moc $(DEFINES) $(INCPATH) C_Wdg_Box.h -o moc/moc_C_Wdg_Box.cpp

moc/moc_dlgbox.cpp: ui/ui_dlgbox.h \
		dlgbox.h
	/opt/qtsdk-2010.04/qt/bin/moc $(DEFINES) $(INCPATH) dlgbox.h -o moc/moc_dlgbox.cpp

moc/moc_dlgetat.cpp: ui/ui_dlgetat.h \
		dlgetat.h
	/opt/qtsdk-2010.04/qt/bin/moc $(DEFINES) $(INCPATH) dlgetat.h -o moc/moc_dlgetat.cpp

moc/moc_dlgresp.cpp: ui/ui_dlgresp.h \
		dlgresp.h
	/opt/qtsdk-2010.04/qt/bin/moc $(DEFINES) $(INCPATH) dlgresp.h -o moc/moc_dlgresp.cpp

moc/moc_dlgtache.cpp: ui/ui_dlgtache.h \
		dlgtache.h
	/opt/qtsdk-2010.04/qt/bin/moc $(DEFINES) $(INCPATH) dlgtache.h -o moc/moc_dlgtache.cpp

moc/moc_dlgparam.cpp: dlgparam.h
	/opt/qtsdk-2010.04/qt/bin/moc $(DEFINES) $(INCPATH) dlgparam.h -o moc/moc_dlgparam.cpp

moc/moc_dlgdesti.cpp: dlgdesti.h
	/opt/qtsdk-2010.04/qt/bin/moc $(DEFINES) $(INCPATH) dlgdesti.h -o moc/moc_dlgdesti.cpp

moc/moc_CApp.cpp: ../../MedinTuxTools-QT4/C_AppCore.h \
		CApp.h
	/opt/qtsdk-2010.04/qt/bin/moc $(DEFINES) $(INCPATH) CApp.h -o moc/moc_CApp.cpp

moc/moc_C_BaseSynoptux.cpp: ../../MedinTuxTools-QT4/C_BaseCommon.h \
		../../MedinTuxTools-QT4/C_Utils_Log.h \
		C_DBVar.h \
		C_BaseSynoptux.h
	/opt/qtsdk-2010.04/qt/bin/moc $(DEFINES) $(INCPATH) C_BaseSynoptux.h -o moc/moc_C_BaseSynoptux.cpp

moc/moc_C_AppCore.cpp: ../../MedinTuxTools-QT4/C_AppCore.h
	/opt/qtsdk-2010.04/qt/bin/moc $(DEFINES) $(INCPATH) ../../MedinTuxTools-QT4/C_AppCore.h -o moc/moc_C_AppCore.cpp

moc/moc_C_BaseCommon.cpp: ../../MedinTuxTools-QT4/C_Utils_Log.h \
		../../MedinTuxTools-QT4/C_BaseCommon.h
	/opt/qtsdk-2010.04/qt/bin/moc $(DEFINES) $(INCPATH) ../../MedinTuxTools-QT4/C_BaseCommon.h -o moc/moc_C_BaseCommon.cpp

moc/moc_C_Dlg_Changements.cpp: C_Dlg_Changements.h
	/opt/qtsdk-2010.04/qt/bin/moc $(DEFINES) $(INCPATH) C_Dlg_Changements.h -o moc/moc_C_Dlg_Changements.cpp

moc/moc_C_ClickableLed.cpp: C_ClickableLed.h
	/opt/qtsdk-2010.04/qt/bin/moc $(DEFINES) $(INCPATH) C_ClickableLed.h -o moc/moc_C_ClickableLed.cpp

compiler_rcc_make_all: rcc/qrc_synoptux.cpp
compiler_rcc_clean:
	-$(DEL_FILE) rcc/qrc_synoptux.cpp
rcc/qrc_synoptux.cpp: synoptux.qrc \
		images/oeil.png \
		images/Annule_Tache.png \
		images/DrTux.png \
		images/Etat.png \
		images/Resp.png \
		images/Maison.png \
		images/enregistre.png \
		images/1downarrow.png \
		images/CroixRouge.png \
		images/css.png \
		images/Roue.png \
		images/BougePatient.png \
		images/carre.png \
		images/Box.png \
		images/1rightarrow.png \
		images/Absence.png \
		images/fenetre.png \
		images/ini.png \
		images/datetime.png \
		images/Tache.png
	/opt/qtsdk-2010.04/qt/bin/rcc -name synoptux synoptux.qrc -o rcc/qrc_synoptux.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui/ui_box.h ui/ui_dlgbox.h ui/ui_dlgetat.h ui/ui_dlgresp.h ui/ui_dlgtache.h ui/ui_dlgparam.h ui/ui_dlgdesti.h ui/ui_C_Dlg_Changements.h
compiler_uic_clean:
	-$(DEL_FILE) ui/ui_box.h ui/ui_dlgbox.h ui/ui_dlgetat.h ui/ui_dlgresp.h ui/ui_dlgtache.h ui/ui_dlgparam.h ui/ui_dlgdesti.h ui/ui_C_Dlg_Changements.h
ui/ui_box.h: box.ui
	/opt/qtsdk-2010.04/qt/bin/uic box.ui -o ui/ui_box.h

ui/ui_dlgbox.h: dlgbox.ui
	/opt/qtsdk-2010.04/qt/bin/uic dlgbox.ui -o ui/ui_dlgbox.h

ui/ui_dlgetat.h: dlgetat.ui
	/opt/qtsdk-2010.04/qt/bin/uic dlgetat.ui -o ui/ui_dlgetat.h

ui/ui_dlgresp.h: dlgresp.ui
	/opt/qtsdk-2010.04/qt/bin/uic dlgresp.ui -o ui/ui_dlgresp.h

ui/ui_dlgtache.h: dlgtache.ui
	/opt/qtsdk-2010.04/qt/bin/uic dlgtache.ui -o ui/ui_dlgtache.h

ui/ui_dlgparam.h: dlgparam.ui
	/opt/qtsdk-2010.04/qt/bin/uic dlgparam.ui -o ui/ui_dlgparam.h

ui/ui_dlgdesti.h: dlgdesti.ui
	/opt/qtsdk-2010.04/qt/bin/uic dlgdesti.ui -o ui/ui_dlgdesti.h

ui/ui_C_Dlg_Changements.h: C_Dlg_Changements.ui
	/opt/qtsdk-2010.04/qt/bin/uic C_Dlg_Changements.ui -o ui/ui_C_Dlg_Changements.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_uic_clean 

####### Compile

obj/unix/main.o: main.cpp CApp.h \
		../../MedinTuxTools-QT4/C_AppCore.h \
		mainwindow.h \
		C_Wdg_Box.h \
		ui/ui_box.h \
		dlgbox.h \
		ui/ui_dlgbox.h \
		dlgetat.h \
		ui/ui_dlgetat.h \
		dlgresp.h \
		ui/ui_dlgresp.h \
		dlgtache.h \
		ui/ui_dlgtache.h \
		dlgparam.h \
		dlgdesti.h \
		ui/ui_dlgdesti.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/unix/main.o main.cpp

obj/unix/mainwindow.o: mainwindow.cpp mainwindow.h \
		C_Wdg_Box.h \
		ui/ui_box.h \
		dlgbox.h \
		ui/ui_dlgbox.h \
		dlgetat.h \
		ui/ui_dlgetat.h \
		dlgresp.h \
		ui/ui_dlgresp.h \
		dlgtache.h \
		ui/ui_dlgtache.h \
		dlgparam.h \
		dlgdesti.h \
		ui/ui_dlgdesti.h \
		mdibox.h \
		CApp.h \
		../../MedinTuxTools-QT4/C_AppCore.h \
		../../MedinTuxTools-QT4/CGestIni.h \
		C_BaseSynoptux.h \
		../../MedinTuxTools-QT4/C_BaseCommon.h \
		../../MedinTuxTools-QT4/C_Utils_Log.h \
		C_DBVar.h \
		C_Dlg_Changements.h \
		C_ClickableLed.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/unix/mainwindow.o mainwindow.cpp

obj/unix/C_Wdg_Box.o: C_Wdg_Box.cpp C_Wdg_Box.h \
		ui/ui_box.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/unix/C_Wdg_Box.o C_Wdg_Box.cpp

obj/unix/dlgbox.o: dlgbox.cpp dlgbox.h \
		ui/ui_dlgbox.h \
		CApp.h \
		../../MedinTuxTools-QT4/C_AppCore.h \
		C_BaseSynoptux.h \
		../../MedinTuxTools-QT4/C_BaseCommon.h \
		../../MedinTuxTools-QT4/C_Utils_Log.h \
		C_DBVar.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/unix/dlgbox.o dlgbox.cpp

obj/unix/dlgetat.o: dlgetat.cpp dlgetat.h \
		ui/ui_dlgetat.h \
		CApp.h \
		../../MedinTuxTools-QT4/C_AppCore.h \
		C_BaseSynoptux.h \
		../../MedinTuxTools-QT4/C_BaseCommon.h \
		../../MedinTuxTools-QT4/C_Utils_Log.h \
		C_DBVar.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/unix/dlgetat.o dlgetat.cpp

obj/unix/dlgresp.o: dlgresp.cpp dlgresp.h \
		ui/ui_dlgresp.h \
		CApp.h \
		../../MedinTuxTools-QT4/C_AppCore.h \
		C_BaseSynoptux.h \
		../../MedinTuxTools-QT4/C_BaseCommon.h \
		../../MedinTuxTools-QT4/C_Utils_Log.h \
		C_DBVar.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/unix/dlgresp.o dlgresp.cpp

obj/unix/dlgtache.o: dlgtache.cpp dlgtache.h \
		ui/ui_dlgtache.h \
		CApp.h \
		../../MedinTuxTools-QT4/C_AppCore.h \
		C_BaseSynoptux.h \
		../../MedinTuxTools-QT4/C_BaseCommon.h \
		../../MedinTuxTools-QT4/C_Utils_Log.h \
		C_DBVar.h \
		../../MedinTuxTools-QT4/CGestIni.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/unix/dlgtache.o dlgtache.cpp

obj/unix/dlgparam.o: dlgparam.cpp dlgparam.h \
		ui/ui_dlgparam.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/unix/dlgparam.o dlgparam.cpp

obj/unix/dlgdesti.o: dlgdesti.cpp dlgdesti.h \
		ui/ui_dlgdesti.h \
		CApp.h \
		../../MedinTuxTools-QT4/C_AppCore.h \
		C_BaseSynoptux.h \
		../../MedinTuxTools-QT4/C_BaseCommon.h \
		../../MedinTuxTools-QT4/C_Utils_Log.h \
		C_DBVar.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/unix/dlgdesti.o dlgdesti.cpp

obj/unix/CApp.o: CApp.cpp CApp.h \
		../../MedinTuxTools-QT4/C_AppCore.h \
		../../MedinTuxTools-QT4/Theme/Theme.h \
		../../MedinTuxTools-QT4/CGestIni.h \
		C_BaseSynoptux.h \
		../../MedinTuxTools-QT4/C_BaseCommon.h \
		../../MedinTuxTools-QT4/C_Utils_Log.h \
		C_DBVar.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/unix/CApp.o CApp.cpp

obj/unix/C_BaseSynoptux.o: C_BaseSynoptux.cpp C_BaseSynoptux.h \
		../../MedinTuxTools-QT4/C_BaseCommon.h \
		../../MedinTuxTools-QT4/C_Utils_Log.h \
		C_DBVar.h \
		../../MedinTuxTools-QT4/CGestIni.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/unix/C_BaseSynoptux.o C_BaseSynoptux.cpp

obj/unix/C_DBVar.o: C_DBVar.cpp C_DBVar.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/unix/C_DBVar.o C_DBVar.cpp

obj/unix/CGestIni.o: ../../MedinTuxTools-QT4/CGestIni.cpp ../../MedinTuxTools-QT4/CGestIni.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/unix/CGestIni.o ../../MedinTuxTools-QT4/CGestIni.cpp

obj/unix/C_AppCore.o: ../../MedinTuxTools-QT4/C_AppCore.cpp ../../MedinTuxTools-QT4/C_AppCore.h \
		../../MedinTuxTools-QT4/Theme/Theme.h \
		../../MedinTuxTools-QT4/CGestIni.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/unix/C_AppCore.o ../../MedinTuxTools-QT4/C_AppCore.cpp

obj/unix/C_BaseCommon.o: ../../MedinTuxTools-QT4/C_BaseCommon.cpp ../../MedinTuxTools-QT4/C_BaseCommon.h \
		../../MedinTuxTools-QT4/C_Utils_Log.h \
		../../MedinTuxTools-QT4/CGestIni.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/unix/C_BaseCommon.o ../../MedinTuxTools-QT4/C_BaseCommon.cpp

obj/unix/Theme.o: ../../MedinTuxTools-QT4/Theme/Theme.cpp ../../MedinTuxTools-QT4/Theme/Theme.h \
		../../MedinTuxTools-QT4/CGestIni.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/unix/Theme.o ../../MedinTuxTools-QT4/Theme/Theme.cpp

obj/unix/C_Utils_Log.o: ../../MedinTuxTools-QT4/C_Utils_Log.cpp ../../MedinTuxTools-QT4/C_Utils_Log.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/unix/C_Utils_Log.o ../../MedinTuxTools-QT4/C_Utils_Log.cpp

obj/unix/C_Dlg_Changements.o: C_Dlg_Changements.cpp C_Dlg_Changements.h \
		ui/ui_C_Dlg_Changements.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/unix/C_Dlg_Changements.o C_Dlg_Changements.cpp

obj/unix/C_ClickableLed.o: C_ClickableLed.cpp C_ClickableLed.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/unix/C_ClickableLed.o C_ClickableLed.cpp

obj/unix/moc_mainwindow.o: moc/moc_mainwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/unix/moc_mainwindow.o moc/moc_mainwindow.cpp

obj/unix/moc_C_Wdg_Box.o: moc/moc_C_Wdg_Box.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/unix/moc_C_Wdg_Box.o moc/moc_C_Wdg_Box.cpp

obj/unix/moc_dlgbox.o: moc/moc_dlgbox.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/unix/moc_dlgbox.o moc/moc_dlgbox.cpp

obj/unix/moc_dlgetat.o: moc/moc_dlgetat.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/unix/moc_dlgetat.o moc/moc_dlgetat.cpp

obj/unix/moc_dlgresp.o: moc/moc_dlgresp.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/unix/moc_dlgresp.o moc/moc_dlgresp.cpp

obj/unix/moc_dlgtache.o: moc/moc_dlgtache.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/unix/moc_dlgtache.o moc/moc_dlgtache.cpp

obj/unix/moc_dlgparam.o: moc/moc_dlgparam.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/unix/moc_dlgparam.o moc/moc_dlgparam.cpp

obj/unix/moc_dlgdesti.o: moc/moc_dlgdesti.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/unix/moc_dlgdesti.o moc/moc_dlgdesti.cpp

obj/unix/moc_CApp.o: moc/moc_CApp.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/unix/moc_CApp.o moc/moc_CApp.cpp

obj/unix/moc_C_BaseSynoptux.o: moc/moc_C_BaseSynoptux.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/unix/moc_C_BaseSynoptux.o moc/moc_C_BaseSynoptux.cpp

obj/unix/moc_C_AppCore.o: moc/moc_C_AppCore.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/unix/moc_C_AppCore.o moc/moc_C_AppCore.cpp

obj/unix/moc_C_BaseCommon.o: moc/moc_C_BaseCommon.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/unix/moc_C_BaseCommon.o moc/moc_C_BaseCommon.cpp

obj/unix/moc_C_Dlg_Changements.o: moc/moc_C_Dlg_Changements.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/unix/moc_C_Dlg_Changements.o moc/moc_C_Dlg_Changements.cpp

obj/unix/moc_C_ClickableLed.o: moc/moc_C_ClickableLed.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/unix/moc_C_ClickableLed.o moc/moc_C_ClickableLed.cpp

obj/unix/qrc_synoptux.o: rcc/qrc_synoptux.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obj/unix/qrc_synoptux.o rcc/qrc_synoptux.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

